# Uses of Class
org.codehaus.janino.Java.LocalVariable

Packages that use Java.LocalVariable
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.LocalVariable in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.LocalVariable
Modifier and Type
Field
Description
`Java.LocalVariable`
Java.CatchParameter.`localVariable`
The local variable associated with this parameter.
`Java.LocalVariable`
Java.FunctionDeclarator.FormalParameter.`localVariable`
The local variable associated with this parameter.
`final Java.LocalVariable`
Java.LocalVariableAccess.`localVariable`
The local variable that is accessed.
`Java.LocalVariable`
Java.VariableDeclarator.`localVariable`
Used only if the variable declarator declares a local variable.
Fields in org.codehaus.janino with type parameters of type Java.LocalVariable
Modifier and Type
Field
Description
`Map<String,Java.LocalVariable>`
Java.ConstructorInvocation.`localVariables`
The local variables that are accessible during the compilation of the constructor invocation.
`Map<String,Java.LocalVariable>`
Java.FunctionDeclarator.`localVariables`
Mapping of variable names to `Java.LocalVariable`s.
`Map<String,Java.LocalVariable>`
Java.Statement.`localVariables`
The map of currently visible local variables.
Methods in org.codehaus.janino that return Java.LocalVariable
Modifier and Type
Method
Description
`Java.LocalVariable`
Java.BlockStatement.`findLocalVariable(String name)`
`Java.LocalVariable`
Java.ConstructorInvocation.`findLocalVariable(String name)`
`Java.LocalVariable`
Java.Initializer.`findLocalVariable(String name)`
`Java.LocalVariable`
Java.Statement.`findLocalVariable(String name)`
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.CatchParameter parameter)`
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.FunctionDeclarator.FormalParameter parameter)`
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.FunctionDeclarator.FormalParameter parameter, boolean isVariableArityParameter)`
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.LocalVariableDeclarationStatement lvds, Java.VariableDeclarator vd)`
Method parameters in org.codehaus.janino with type arguments of type Java.LocalVariable
Modifier and Type
Method
Description
`protected void`
UnitCompiler.`buildLocalVariableMap(Java.CatchClause catchClause, Map<String,Java.LocalVariable> localVars)`
Adds the given localVars to the 'local variable map' of the given catchClause.
Constructors in org.codehaus.janino with parameters of type Java.LocalVariable
Modifier
Constructor
Description
``
`LocalVariableAccess(Location location, Java.LocalVariable localVariable)`